﻿@using Kendo.Mvc.UI
@model IEnumerable<Iglo.World.ViewModels.RoleViewModel>
@{
    ViewBag.Title = "Role";
    ViewBag.Controller = "Role";


}

<h3>Role</h3>
<div class="navbar navbar-inverse navbar-fixed-top border-bottom border-danger" style="padding: 0; margin: 0.5rem 0rem;">
</div>
<div class="grid-add-btn" style="margin:1rem 0">
    <a href="javascript:;" class="btn btn-primary" id="btnAddNew"><i class="fa fa-plus"></i> Add New</a>
</div>

@(Html.Kendo().Grid(Model).Name("grid").Columns(columns =>
{
    columns.Bound(m => m.Name).Title("Name");
    columns.Bound("").ClientTemplate("<a data-id='#=ID#' href='javascript:;' class='act-btn editRow'>Edit</a> | <a data-id='#=ID#' href='javascript:;' class='act-btn deleteRow'>Delete</a>").Width(150).Title("").Filterable(false);
})
        .HtmlAttributes(new { style = "height : 450px;" })
        .Scrollable()
        .Sortable()
        .Filterable()
        .Pageable(pageable => pageable
            .Refresh(true)
            .PageSizes(true)
            .ButtonCount(5))
        .DataSource(dataSource => dataSource
            .Ajax()
            .Read(read => read.Action("List", "Role"))
            .PageSize(20)
        )
)

<div id="addEditWindow"></div>
@section scripts{

    <script>
    var popup = (function (popup) {
        popup.width = 650;
        popup.height = 400;
        popup.createUrl = "@Url.Action("Create")";
        popup.editUrl = "@Url.Action("Edit")";
        popup.submitUrl = "@Url.Action("Submit")";
        popup.deleteUrl = "@Url.Action("Delete")";
        popup.deleteRowUrl = "@Url.Action("DeleteRow")";
        popup.createTitle = "Add JobType";
        popup.editTitle = "Edit JobType";
        return popup;
    })(popup || {});
    </script>
    <script src="~/js/modules/pop-up.js"></script>

}